/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package de.christofreichardt.jaxws.securitypriceservice;

import de.christofreichardt.diagnosis.AbstractTracer;
import de.christofreichardt.diagnosis.TracerFactory;

/**
 *
 * @author Christof Reichardt
 */
public class ClientSoapBodyDereferencer extends AbstractSoapBodyDereferencer {
  private final AbstractXMLSerializer xmlSerializer = new ClientXMLSerializer();
  
  @Override
  AbstractXMLSerializer getXmlSerializer() {
    return this.xmlSerializer;
  }

  @Override
  public AbstractTracer getCurrentTracer() {
    return TracerFactory.getInstance().getCurrentPoolTracer();
  }

}
